Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get user to thing authorizations

Prev Next
Get
/inventory/userThingAuthorizations

Retrieves the thing authorizations for a specific user, i.e. the grants that allow a user to operate on the things of a customer.
Each authorization reports the authorization level, the user-type impersonated by the user when operating on the thing and the optional time limitation of the grant.
When userId is specified, the customerId must be specified as well; set includeDefaults to true to obtain also the default authorizations applied to the users of the customer.

Required permissions: READ_USER_AUTHORIZATION.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Query parameters
customerId
string

Condition on customer id.

Exampleabcd1234
userId
string

The identifier of the user whose permissions must be retrieved.
If specified, the customerId must also be specified.

Minimum1.0
Exampleabcd1234
includeDefaults
booleanRequired

The flag defining whether to retrieve also the default user authorizations.

Minimum1.0
Responses
200

Successful operation.

Array of object
object
id
string

The authorization unique identifier.

userId
string

The identifier of the user associated with this authorization.

thingId
string

The identifier of the thing associated with this authorization.

authorization
string

The authorization of the user on the thing.

Valid values[ "GRANT", "DENY" ]
userTypeId
string

The identifier of the user-type the user impersonates when operating on the associated thing.

userType
object

The user-type object associated with this authorization.

id
string
name
string
category
string
rank
integer
commandPayloadDuration
integer
permissions
Array of string
string
limitedTime
object

The time limitation of this authorization.

startDayTime
number
Example1000
endDayTime
number
Example2230
weekDays
Array of string
string
Valid values[ "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ]
startTimestamp
integer (int64)
Example1578438000000
endTimestamp
integer (int64)
Example1578438000000
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error